org.apache.xmlbeans.impl.common

## Class SoftCache

- java.lang.Object
- - org.apache.xmlbeans.impl.common.SoftCache

-     public class SoftCache
      extends Object

  Author:
    Cezar Andrei (cezar.andrei at bea.com) Date: Apr 26, 2005

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoftCache()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `get(Object key)`
    `Object` | `put(Object key, Object value)`
    `Object` | `remove(Object key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SoftCache

          public SoftCache()

  - ### Method Detail

    - #### get

          public Object get(Object key)

    - #### put

          public Object put(Object key,
                            Object value)

    - #### remove

          public Object remove(Object key)